<!-- Metricselection -->
<mat-form-field
		id="privacyMetricSelect"
		width="flex"
		appearance="outline">
	<mat-label>{{'PrivacyMetricText' | translate }}</mat-label>
	<mat-select
			multiple
			[formControl]="privacyMetrics"
			(closed)="metricService.onPrivacyChange(privacyMetrics.value)">
		<mat-option *ngFor="let m of metricService.availablePrivacyMetrics" [value]="m">
			{{m.name}}
		</mat-option>
	</mat-select>
</mat-form-field>

<mat-form-field
		id="utilityMetricSelect"
		width="flex"
		appearance="outline">
	<mat-label>{{'UtilityMetricText' | translate }}</mat-label>
	<mat-select
			multiple
			[formControl]="utilityMetrics"
			(closed)="metricService.onUtilityChange(utilityMetrics.value)">
		<mat-option *ngFor="let m of metricService.availableUtilityMetrics" [value]="m">
			{{m.name}}
		</mat-option>
	</mat-select>
</mat-form-field>

<mat-card>
	<mat-form-field
			id="publicVisualizationSelect"
			class="full-width"
			appearance="outline">
		<mat-label>{{'BasisForColoring' | translate }}</mat-label>
		<mat-select
				[(ngModel)]="metricService.basisForVisualization"
				(selectionChange)="metricService.onVisualizationMetricChange()">
			<mat-option *ngFor="let m of metricService.selectedMetrics" [value]="m">
				{{m.name}}
			</mat-option>
		</mat-select>
	</mat-form-field>
<!--	<p><strong> {{ selectedMetric.name }} </strong></p>-->
	<p> {{ selectedMetric.description }} </p>
</mat-card>